// import mongoose   from 'mongoose'
import Koa from 'koa'
// import mount      from 'koa-mount'
// import serve      from 'koa-static'
import logger from 'koa-logger'
import convert from 'koa-convert'
// import passport   from 'koa-passport'
import bodyParser from 'koa-bodyparser'
// import session    from 'koa-generic-session'
const cors = require('koa-cors');

import config from '../config'

//错误处理中间件
import { errorMiddleware } from '../src/middleware'

//建立mongoose数据库链接
/**
mongoose.Promise = global.Promise
mongoose.connect(config.mongodb)
*/

//建立MYSQL连接
require('../src/dao');
//创建Koa对象
const app = new Koa()
  // app.keys  = [config.session]

//加载中间件
app.use(convert(logger()))
  // app.use(convert(session()))
app.use(convert(bodyParser()))
app.use(convert(errorMiddleware()))

//本地访问跨域
app.use(convert(cors()));

//加载docs
// app.use(convert(mount('/docs', serve(`${process.cwd()}/docs`))))

//加载passport
// require('../config/passport')
// app.use(passport.initialize())
// app.use(passport.session())

//加载路由
require('../src/modules')(app)

//接入Socket.IO
const server = require('http').createServer(app.callback());
// const io = require('socket.io')(server);
// io.on('connection', (socket) => {
//   console.log('connection');
// });

console.log('config', config)
  //启动服务
server.listen(config.port, () => {
  console.log(`Server started on ${config.port}`)
});

export default app
