const Sequelize = require('sequelize');

import sequelize from './db/sequelize';

/**
 * 患者信息
 */
const Image = sequelize.define('images', {
  id: { type: Sequelize.STRING, allowNull: false, primaryKey: true },
  series_id: { type: Sequelize.STRING, allowNull: true },
  image_id: { type: Sequelize.STRING, allowNull: false, defaultValue: true, unique: 'imageid_index' },
  sop_uid: { type: Sequelize.STRING, allowNull: true },
  image_number: { type: Sequelize.INTEGER, allowNull: true },
  frame: { type: Sequelize.INTEGER, allowNull: false, defaultValue: 0 },
  owner: { type: Sequelize.STRING, allowNull: true },
  window_width: { type: Sequelize.STRING, allowNull: true },
  windo_center: { type: Sequelize.STRING, allowNull: true },
  rows: { type: Sequelize.STRING, allowNull: true },
  columns: { type: Sequelize.STRING, allowNull: true },
  pixe_spacing: { type: Sequelize.STRING, allowNull: true },
  image_position: { type: Sequelize.STRING, allowNull: true },
  image_orientation: { type: Sequelize.STRING, allowNull: true },
  url: { type: Sequelize.STRING, allowNull: true },
  metadata: { type: Sequelize.STRING, allowNull: true },
  local_url: { type: Sequelize.STRING, allowNull: true },
  remote_url: { type: Sequelize.STRING, allowNull: true },
  size: { type: Sequelize.INTEGER, allowNull: true },
  institution_id: { type: Sequelize.STRING, allowNull: true },
  cineRate: { type: Sequelize.INTEGER, allowNull: true, defaultValue: 0 }
}, {
  charset: 'utf8',
  indexes: [
    { fields: ["series_id"] }
  ]
});

Image.sync({ force: false }).then(function() {});

export default Image;
