const Sequelize = require('sequelize');

import sequelize from './db/sequelize';

/**
 * 患者信息
 */
const Series = sequelize.define('series', {
  id: { type: Sequelize.STRING, allowNull: false, primaryKey: true },
  study_id: { type: Sequelize.STRING, allowNull: false },
  seriesuid: { type: Sequelize.STRING, allowNull: true },
  series_num: { type: Sequelize.INTEGER, allowNull: true },
  modality: { type: Sequelize.STRING, allowNull: true },
  description: { type: Sequelize.STRING, allowNull: true },
}, {
  charset: 'utf8',
  indexes: [
    { fields: ["study_id"] },
    { fields: ["seriesuid"] }
  ]
});

Series.sync({ force: false }).then(function() {});
export default Series;
