const Sequelize = require('sequelize');

import sequelize from './db/sequelize';

/**
 * 患者信息
 */
const Study = sequelize.define('studies', {
  id: { type: Sequelize.STRING, allowNull: false, primaryKey: true },
  studyuid: { type: Sequelize.STRING, allowNull: true },
  patient_id: { type: Sequelize.STRING, allowNull: true },
  studyid: { type: Sequelize.STRING, allowNull: true },
  accession_num: { type: Sequelize.STRING, allowNull: true },
  studydate: { type: Sequelize.STRING, allowNull: true },
  modality: { type: Sequelize.STRING, allowNull: true },
  status: { type: Sequelize.STRING, allowNull: true },
  patient_age: { type: Sequelize.STRING, allowNull: true },
  institution_name: { type: Sequelize.STRING, allowNull: true },
  institution_id: { type: Sequelize.STRING, allowNull: true },
}, {
  charset: 'utf8',
  indexes: [
    { fields: ["patient_id"] },
    { fields: ["modality"] },
    { fields: ["studyuid"] }
  ]
});

Study.sync({ force: false }).then(function() {});
export default Study;
