import config from '../../config'
const path = require('path');
const fsp = require('fs-promise');
const parser = require('dicom-parser');

let options = config.upload || {};
const dicomParse = async fileName => {
  const filePath = path.join(options.path || '.', options.fileType || 'common', fileName);
  const fileBuffer = await fsp.readFile(filePath);
  try {
    return {
      "dataSet": parser.parseDicom(fileBuffer),
      "length": fileBuffer.length
    };
  } catch (err) {
    return null
  }
}
export default dicomParse
